Get login identity
Retrieve information about a Login Identity, including its authentication and data retrieval status. Does not contain any sensitive user data.
Note: a Login Identity represents a unique financial institution authenticated account linked by the end-user. An end-user who links multiple Institutions (or multiple authenticated accounts at the same Institution), will have a distinct Login Identity for each linked account.
Authorization: login_identity_token
institution
Summary Institutions object. See GET /institutions for object details.
login_identity
Full login_identity object, containing metadata and status information.
authentication_status
Provides details on the authentication status of the Login Identity.
error
Provides additional details on any error. Empty if no error has occurred.
product_status
Provides details on the data retrieval status of the Login Identity, broken down by Finverse Products.
We recommend using this field to determine when to fetch data from Finverse’s product endpoints (if not using webhooks).
Products: accounts, account_numbers, balance_history, historical_transactions, identity, income_estimation,online_transactions, statements.
Note: Requesting GET /transactions fetches both online_transactions and historical_transactions (if available). Online transactions refer to transaction records retrieved directly from the institution (sometimes covering only a limited time-period); historical transactions refer to additional records which Finverse extracts from statements.
product_status contains a list of Products, each returning the following status object. Each Product will only be listed once data retrieval has started for the Product.
Refresh
Provides details on the ability to refresh data for a Login Identity (i.e. retrieve new data from the institution without any additional user action). Will only be returned if user consented to automated data refreshes.
Refer to section 12 - Data Refresh & Relinking for additional guidance on refresh & relinking.
View More
status_details
Provides details on the most recent event involving this Login Identity (e.g. authentication, data retrieval, unlinking). See GET /login_identity/{login_identity_id}/history to request the full events list involving a Login Identity.